%global pypi_name Flask-uWSGI-WebSocket
%global srcname flask-uwsgi-websocket

Name:		python-flask-uwsgi-websocket
Version:	0.4.4
Release:	4%{?dist}
Summary:	High-performance WebSockets for your Flask apps powered by uWSGI

License:	MIT
URL:		https://github.com/zeekay/flask-uwsgi-websocket
Source0:	https://pypi.python.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# License file from Github
# https://raw.githubusercontent.com/zeekay/flask-uwsgi-websocket/master/LICENSE
# Upstream has been asked to include license text in tarball
Source1:	LICENSE
BuildArch:	noarch
 
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

%description
High-performance WebSockets for your Flask apps powered by uWSGI. Low-level
uWSGI WebSocket API access and flexible high-level abstractions for building
complex WebSocket applications with Flask. Supports several different
concurrency models including Gevent. Inspired by Flask-Sockets.

%package -n python2-%{srcname}
Summary:	High-performance WebSockets for your Flask apps powered by uWSGI
Requires:	python-flask
Requires:	uwsgi-plugin-python
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
High-performance WebSockets for your Flask apps powered by uWSGI. Low-level
uWSGI WebSocket API access and flexible high-level abstractions for building
complex WebSocket applications with Flask. Supports several different
concurrency models including Gevent. Inspired by Flask-Sockets.

%package -n python3-%{srcname}
Summary:	High-performance WebSockets for your Flask apps powered by uWSGI
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-flask
Requires:	uwsgi-plugin-python3
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
High-performance WebSockets for your Flask apps powered by uWSGI. Low-level
uWSGI WebSocket API access and flexible high-level abstractions for building
complex WebSocket applications with Flask. Supports several different
concurrency models including Gevent. Inspired by Flask-Sockets.

This package includes the Python 3 version of the module.

%prep
%setup -qn %{pypi_name}-%{version}
# Delete upstream supplied egg-info
rm -rf %{pypi_name}.egg-info

cp -p %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/flask_uwsgi_websocket
%{python2_sitelib}/Flask_uWSGI_WebSocket-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/flask_uwsgi_websocket
%{python3_sitelib}/Flask_uWSGI_WebSocket-%{version}-py?.?.egg-info


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jul 31 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.4.4-2
- Creating python2- subpackage
- Using %%py2_build, %%py3build, %%py2_install and %%py2_install

* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4
- %%files section more specific

* Sun Nov 23 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.2.10-1
- Update to 0.2.10
- Fixing dependency name

* Thu Nov 13 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.2.5-1
- Initial packaging

